Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » Using xtend in RCP
Using xtend in RCP [message #1724825] Fri, 26 February 2016 12:00 Go to next message
Dimg Cim is currently offline Dimg CimFriend
Messages: 59
Registered: December 2015
Member
Hello everybody,

can someone tell me how to use the xtend framework in my RCP. I added the jdt and xtend plugins to the dependency, But everytime I run my application, there are a unresolved problem with the antlr bundle 3.2.0.

Are there any solutions?

Many thanks.

dim
Re: Using xtend in RCP [message #1724830 is a reply to message #1724825] Fri, 26 February 2016 12:17 Go to previous messageGo to next message
Sven Efftinge is currently offline Sven EfftingeFriend
Messages: 83
Registered: January 2016
Location: Kiel
Member

Could you share what kind of problems you have specifically?
Re: Using xtend in RCP [message #1724834 is a reply to message #1724830] Fri, 26 February 2016 12:33 Go to previous messageGo to next message
Dimg Cim is currently offline Dimg CimFriend
Messages: 59
Registered: December 2015
Member
When I clicked on the Validation-Button of the Launch-Config-Dialog, I got this:

http://i64.tinypic.com/2rvyjib.jpg

Here is a part of the stack trace.

  Unresolved requirement: Require-Bundle: org.eclipse.xtend; bundle-version="2.2.0"
    -> Bundle-SymbolicName: org.eclipse.xtend; bundle-version="2.2.0.v201512150757"
       org.eclipse.xtend [418]
         Unresolved requirement: Require-Bundle: org.antlr.runtime; bundle-version="[3.2.0,3.2.1)"

	at org.eclipse.osgi.container.Module.start(Module.java:434)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

!ENTRY org.eclipse.emf.mwe2.language 4 0 2016-02-26 13:28:40.871
!MESSAGE FrameworkEvent ERROR
!STACK 0
org.osgi.framework.BundleException: Could not resolve module: org.eclipse.emf.mwe2.language [320]
  Unresolved requirement: Require-Bundle: org.eclipse.xtext; bundle-version="2.8.0"
    -> Bundle-SymbolicName: org.eclipse.xtext; bundle-version="2.10.0.v201601040857"; singleton:="true"
       org.eclipse.xtext [427]
         Unresolved requirement: Require-Bundle: org.antlr.runtime; bundle-version="[3.2.0,3.2.1)"; visibility:="reexport"

	at org.eclipse.osgi.container.Module.start(Module.java:434)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1582)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.incStartLevel(ModuleContainer.java:1561)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.doContainerStartLevel(ModuleContainer.java:1533)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1476)
	at org.eclipse.osgi.container.ModuleContainer$ContainerStartLevel.dispatchEvent(ModuleContainer.java:1)
	at org.eclipse.osgi.framework.eventmgr.EventManager.dispatchEvent(EventManager.java:230)
	at org.eclipse.osgi.framework.eventmgr.EventManager$EventThread.run(EventManager.java:340)

[Updated on: Fri, 26 February 2016 12:34]

Report message to a moderator

Re: Using xtend in RCP [message #1724839 is a reply to message #1724834] Fri, 26 February 2016 12:57 Go to previous messageGo to next message
Dennis Huebner is currently offline Dennis HuebnerFriend
Messages: 257
Registered: July 2009
Senior Member

Add org.antlr.runtime to the launch configuration. If it's missing in the available plugins table, add it to the target platform. org.antlr.runtime ist part of the eclipse common repository, but could also be installed using eclipse orbit updatesite.


+Dennis Huebner

Get professional support from the Xtext committers at www.typefox.io
Re: Using xtend in RCP [message #1724840 is a reply to message #1724839] Fri, 26 February 2016 13:03 Go to previous message
Dimg Cim is currently offline Dimg CimFriend
Messages: 59
Registered: December 2015
Member
Hi Dennis,

this plugin is already installed in the eclipse plugin folder.
I download the plugin from orbit, but I think it is only a java project and not a osgi bundle.
So what is to do?

Dim

P.S. After Removing the new version of antlr org.antlr.runtime_4.3.0.v201502022030, it works Smile

[Updated on: Fri, 26 February 2016 13:19]

Report message to a moderator

Previous Topic:Issues with Clean & Auto Build in Xtext 2.9
Next Topic:Updating error markers after invoking validate
Goto Forum:
  


Current Time: Wed Oct 05 19:31:26 GMT 2022

Powered by FUDForum. Page generated in 0.02757 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top